%define upstream_name    App-perlbrew
%define upstream_version 0.41

Name:       perlbrew
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Manage perl installations in your $HOME
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/App/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CPAN::Perl::Releases) >= 0.400.0
BuildRequires: perl(Capture::Tiny) >= 0.130.0
BuildRequires: perl(Devel::PatchPerl) >= 0.620.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.420.0
BuildRequires: perl(File::Path::Tiny) >= 0.100.0
BuildRequires: perl(File::Temp)
BuildRequires: perl(IO::All)
BuildRequires: perl(Path::Class)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Output)
BuildRequires: perl(Test::Simple) >= 0.980.0
BuildRequires: perl(Test::Spec)
BuildRequires: perl(local::lib) >= 1.8.0
BuildArch:  noarch

Obsoletes:  perl-%{upstream_name} <= 0.170.0

%description
perlbrew is a program to automate the building and installation of perl in
the users HOME. At the moment, it installs everything to
'~/perl5/perlbrew', and requires you to tweak your PATH by including a
bashrc/cshrc file it provides. You then can benefit from not having to run
'sudo' commands to install cpan modules because those are installed inside
your HOME too. It's a completely separate perl environment.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

#%check
#%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.yml MYMETA.yml README
%{_bindir}/perlbrew
%{_mandir}/man1/perlbrew.1*
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Tue Mar 06 2012 jquelin <jquelin> 0.410.0-1.mga2
+ Revision: 219986
- update to 0.41

* Wed Jan 04 2012 jquelin <jquelin> 0.390.0-1.mga2
+ Revision: 190269
- update to 0.39

* Sun Dec 18 2011 kharec <kharec> 0.360.0-1.mga2
+ Revision: 183758
- update to 0.36

* Sat Dec 17 2011 kharec <kharec> 0.350.0-1.mga2
+ Revision: 183076
- update to 0.35

* Fri Dec 16 2011 kharec <kharec> 0.330.0-1.mga2
+ Revision: 182701
- disable checks for now

  + jquelin <jquelin>
    - update to 0.33
    - remove MYMETA from %%doc
    - remove MYMETA.json from %%doc
    - update to 0.31

* Fri Oct 14 2011 jquelin <jquelin> 0.300.0-1.mga2
+ Revision: 155041
- update to 0.30
- update to 0.28

* Wed Jul 13 2011 jquelin <jquelin> 0.270.0-1.mga2
+ Revision: 123622
- update to 0.27
- update to 0.25

* Wed Jun 15 2011 jquelin <jquelin> 0.240.0-1.mga2
+ Revision: 107779
- update to 0.24

* Thu Mar 17 2011 jquelin <jquelin> 0.180.0-1.mga1
+ Revision: 73125
- update to 0.18

* Wed Mar 16 2011 jquelin <jquelin> 0.170.0-2.mga1
+ Revision: 72514
- wrong obsoletes:
- renaming perl-App-perlbrew to perlbrew
- renaming package

* Thu Mar 10 2011 jquelin <jquelin> 0.170.0-1.mga1
+ Revision: 67609
- update to 0.17

* Mon Feb 21 2011 jquelin <jquelin> 0.160.0-1.mga1
+ Revision: 55467
- update to 0.16

* Tue Jan 18 2011 jquelin <jquelin> 0.150.0-1.mga1
+ Revision: 22017
- cleaning spec file
- imported package perl-App-perlbrew

